import influxframework


def execute():
	influxframework.reload_doctype("Pricing Rule")

	currency = influxframework.db.get_default("currency")
	for doc in influxframework.get_all("Pricing Rule", fields=["company", "name"]):
		if doc.company:
			currency = influxframework.get_cached_value("Company", doc.company, "default_currency")

		influxframework.db.sql(
			"""update `tabPricing Rule` set currency = %s where name = %s""", (currency, doc.name)
		)
